Package com.io7m.waxmill.machines

# Class WXMMachineName

java.lang.Object
com.io7m.waxmill.machines.WXMMachineName

All Implemented Interfaces:
  `WXMMachineNameType`

    public final class WXMMachineName
    extends java.lang.Object
    implements WXMMachineNameType

A machine name, such as `oregano.example.com`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMMachineName.Builder` | Builds instances of type `WXMMachineName`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMMachineName.Builder` | `builder()` | Creates a builder for `WXMMachineName`.
  `static WXMMachineName` | `copyOf​(WXMMachineNameType instance)` | Creates an immutable copy of a `WXMMachineNameType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMMachineName` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `value`.
  `static WXMMachineName` | `of​(java.lang.String value)` | Construct a new immutable `WXMMachineName` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMMachineName` with attribute values.
  `java.lang.String` | `value()` |
  `WXMMachineName` | `withValue​(java.lang.String value)` | Copy the current immutable object by setting a value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMMachineNameType

  `checkPreconditions`

- ## Method Details

  - ### value

    public java.lang.String value()
    Specified by:
      `value` in interface `WXMMachineNameType`
    Returns:
      The machine name

  - ### withValue

    public final WXMMachineName withValue​(java.lang.String value)
    Copy the current immutable object by setting a value for the `value` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for value
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMMachineName` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `value`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMMachineName` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static WXMMachineName of​(java.lang.String value)
    Construct a new immutable `WXMMachineName` instance.
    Parameters:
      `value` - The value for the `value` attribute
    Returns:
      An immutable WXMMachineName instance

  - ### copyOf

    public static WXMMachineName copyOf​(WXMMachineNameType instance)
    Creates an immutable copy of a `WXMMachineNameType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMMachineName instance

  - ### builder

    public static WXMMachineName.Builder builder()
    Creates a builder for `WXMMachineName`.

         WXMMachineName.builder()
            .setValue(String) // required value
            .build();

    Returns:
      A new WXMMachineName builder